<template>
	<view>
		{{txt}}
	</view>
</template>

<script>
	import comUtils from '../../utils/ComUtils.js'
	export default {
		data() {
			return {
				txt: ''
			}
		},
		onLoad(option) {
			this.wxAuth(option.code);
		},
		methods: {
			fuzhi() {
				var that = this;
				uni.setClipboardData({
					data: that.code
				});
			},
			wxAuth(code) {
				uni.showLoading({
					title: '授权中',
					mask: true
				});
				var that = this;
				that.$http.post('/wxback/KfWx/GetAuthCode', {
					code: code
				}).then(e => {
					console.log(e);
					uni.hideLoading();
					if (e == true)
					{
						this.txt = "授权成功，请关闭此页面"
					}
					else{
						this.txt =e;
					}

				}).catch(function(err) {
					console.log(err);
				})

			}
		},
	}
</script>

<style>
	.item-head {
		text-align: center;
		padding: 1rem;
		font-weight: 600;
		color: linear-gradient(-90deg, #fe3a3f, #faa450);
		color: #fe3a3f;
		background: linear-gradient(-90deg, #fe3a3f, #faa450);
		-webkit-background-clip: text;
		-webkit-text-fill-color: transparent;
	}

	.bottom-show {
		text-align: center;
		width: 100%;
		padding-bottom: 1rem;
		color: #fe3a3f;
		background: linear-gradient(-90deg, #fe3a3f, #faa450);
		-webkit-background-clip: text;
		-webkit-text-fill-color: transparent;
		font-weight: 600;
	}

	.txt-sty {
		text-align: center;
	}

	.main-cont {}

	.head-txt {
		margin: 0.4rem 0 2rem 0;
	}

	.head-img {
		width: 5rem;
		height: 5rem;
		margin-top: 4rem;
	}

	.ercode-img {
		width: 16rem;
		height: 16rem;
	}
</style>